## lxqt-panel 0.16.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(lxqt-panel)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
option(WITH_SCREENSAVER_FALLBACK "Include support for converting the deprecated 'screensaver' plugin to 'quicklaunch'. This requires the lxqt-leave (lxqt-session) to be installed in runtime." ON)
# plugin-mainmenu
option(USE_MENU_CACHE "Use menu-cached (no noticable penalty even on a 2004 single core pentium if not used)" OFF)


# additional cmake files
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

macro(setByDefault VAR_NAME VAR_VALUE)
  if(NOT DEFINED ${VAR_NAME})
    set (${VAR_NAME} ${VAR_VALUE})
  endif(NOT DEFINED ${VAR_NAME})
endmacro()

include(GNUInstallDirs)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

set(REQUIRED_QT_VERSION "5.12")
set(KF5_MINIMUM_VERSION "5.36.0")
set(LXQT_GLOBALKEYS_MINIMUM_VERSION "0.16.0")
set(LXQT_MINIMUM_VERSION "0.16.0")

find_package(Qt5DBus ${REQUIRED_QT_VERSION} REQUIRED)
find_package(Qt5LinguistTools ${REQUIRED_QT_VERSION} REQUIRED)
find_package(Qt5Widgets ${REQUIRED_QT_VERSION} REQUIRED)
find_package(Qt5X11Extras ${REQUIRED_QT_VERSION} REQUIRED)
find_package(Qt5Xml ${REQUIRED_QT_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF5_MINIMUM_VERSION} REQUIRED)
find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
find_package(lxqt-globalkeys-ui ${LXQT_GLOBALKEYS_MINIMUM_VERSION} REQUIRED)

# Patch Version
set(LXQT_PANEL_PATCH_VERSION 1)
set(LXQT_PANEL_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_PANEL_PATCH_VERSION})
add_definitions("-DLXQT_PANEL_VERSION=\"${LXQT_PANEL_VERSION}\"")

include(LXQtPreventInSourceBuilds)
include(LXQtTranslate)

# All LXQtCompilerSettings except CMAKE_MODULE_LINKER_FLAGS work just fine
# So we reset only these Flags after loading LXQtCompilerSettings
# lxqt-build-tools:
#  set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined ${SYMBOLIC_FLAGS} ${CMAKE_MODULE_LINKER_FLAGS}")
message(STATUS "==OLD== CMAKE_MODULE_LINKER_FLAGS: ${CMAKE_MODULE_LINKER_FLAGS}")
set( OLD_CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS}")
include(LXQtCompilerSettings NO_POLICY_SCOPE)
set(CMAKE_MODULE_LINKER_FLAGS "${OLD_CMAKE_MODULE_LINKER_FLAGS} ${SYMBOLIC_FLAGS}")

# Warning: This must be before add_subdirectory(panel). Move with caution.
set(PLUGIN_DIR "${CMAKE_INSTALL_FULL_LIBDIR}/lxqt-panel")
add_definitions(
    -DPLUGIN_DIR=\"${PLUGIN_DIR}\"
)

message(STATUS "CMAKE Module linker flags: ${CMAKE_MODULE_LINKER_FLAGS}")
message(STATUS "Panel plugins location: ${PLUGIN_DIR}")

#########################################################################
# Plugin system
# You can enable/disable building of the plugin using cmake options.
#    cmake -DWORLDCLOCK_PLUGIN=Yes .. # Enable worldclock plugin
#    cmake -DWORLDCLOCK_PLUGIN=No ..  # Disable worldclock plugin

include("cmake/BuildPlugin.cmake")

set(ENABLED_PLUGINS) # list of enabled plugins
set(STATIC_PLUGINS) # list of statically linked plugins

setByDefault(COLORPICKER_PLUGIN Yes)
if(COLORPICKER_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Color Picker")
    add_subdirectory(plugin-colorpicker)
endif()

setByDefault(CPULOAD_PLUGIN Yes)
if(CPULOAD_PLUGIN)
    find_library(STATGRAB_LIB statgrab)

    if(NOT STATGRAB_LIB)
        message(FATAL_ERROR "CPU Load plugin requires libstatgrab")
    endif()
    list(APPEND ENABLED_PLUGINS "Cpu Load")
    add_subdirectory(plugin-cpuload)
endif()

setByDefault(DIRECTORYMENU_PLUGIN Yes)
if(DIRECTORYMENU_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Directory menu")
    add_subdirectory(plugin-directorymenu)
endif()

setByDefault(DOM_PLUGIN No)
if(DOM_PLUGIN)
    list(APPEND ENABLED_PLUGINS "DOM")
    add_subdirectory(plugin-dom)
endif(DOM_PLUGIN)

setByDefault(DESKTOPSWITCH_PLUGIN Yes)
if(DESKTOPSWITCH_PLUGIN)
    list(APPEND STATIC_PLUGINS "desktopswitch")
    add_definitions(-DWITH_DESKTOPSWITCH_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Desktop Switcher")
    add_subdirectory(plugin-desktopswitch)
endif()

setByDefault(KBINDICATOR_PLUGIN Yes)
if(KBINDICATOR_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Keyboard Indicator")
    add_subdirectory(plugin-kbindicator)
endif(KBINDICATOR_PLUGIN)

setByDefault(MAINMENU_PLUGIN Yes)
if(MAINMENU_PLUGIN)
    list(APPEND STATIC_PLUGINS "mainmenu")
    add_definitions(-DWITH_MAINMENU_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Application menu")
    add_subdirectory(plugin-mainmenu)
endif()

setByDefault(MOUNT_PLUGIN Yes)
if(MOUNT_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Mount")
    add_subdirectory(plugin-mount)
endif(MOUNT_PLUGIN)

setByDefault(QUICKLAUNCH_PLUGIN Yes)
if(QUICKLAUNCH_PLUGIN)
    list(APPEND STATIC_PLUGINS "quicklaunch")
    add_definitions(-DWITH_QUICKLAUNCH_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Quicklaunch")
    add_subdirectory(plugin-quicklaunch)
endif()

setByDefault(SENSORS_PLUGIN Yes)
if(SENSORS_PLUGIN)
    find_library(SENSORS_LIB sensors)

    if(NOT SENSORS_LIB)
        message(FATAL_ERROR "Sensors plugin requires lm_sensors")
    endif()
    list(APPEND ENABLED_PLUGINS "Sensors")
    add_subdirectory(plugin-sensors)
endif()

setByDefault(SHOWDESKTOP_PLUGIN Yes)
if(SHOWDESKTOP_PLUGIN)
    list(APPEND STATIC_PLUGINS "showdesktop")
    add_definitions(-DWITH_SHOWDESKTOP_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Show Desktop")
    add_subdirectory(plugin-showdesktop)
endif()

setByDefault(NETWORKMONITOR_PLUGIN Yes)
if(NETWORKMONITOR_PLUGIN)
    find_library(STATGRAB_LIB statgrab)

    if(NOT STATGRAB_LIB)
        message(FATAL_ERROR "Network Monitor plugin requires libstatgrab")
    endif()
    list(APPEND ENABLED_PLUGINS "Network Monitor")
    add_subdirectory(plugin-networkmonitor)
endif()

setByDefault(SYSSTAT_PLUGIN Yes)
if(SYSSTAT_PLUGIN)
    list(APPEND ENABLED_PLUGINS "System Stats")
    add_subdirectory(plugin-sysstat)
endif(SYSSTAT_PLUGIN)

setByDefault(TASKBAR_PLUGIN Yes)
if(TASKBAR_PLUGIN)
  list(APPEND STATIC_PLUGINS "taskbar")
  add_definitions(-DWITH_TASKBAR_PLUGIN)
  list(APPEND ENABLED_PLUGINS "Taskbar")
  add_subdirectory(plugin-taskbar)
endif()

setByDefault(STATUSNOTIFIER_PLUGIN Yes)
if(STATUSNOTIFIER_PLUGIN)
    list(APPEND STATIC_PLUGINS "statusnotifier")
    add_definitions(-DWITH_STATUSNOTIFIER_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Status Notifier")
    add_subdirectory(plugin-statusnotifier)
endif()

setByDefault(TRAY_PLUGIN Yes)
if(TRAY_PLUGIN)
    list(APPEND STATIC_PLUGINS "tray")
    add_definitions(-DWITH_TRAY_PLUGIN)
    list(APPEND ENABLED_PLUGINS "System Tray")
    add_subdirectory(plugin-tray)
endif()

setByDefault(VOLUME_PLUGIN Yes)
setByDefault(VOLUME_USE_PULSEAUDIO Yes)
setByDefault(VOLUME_USE_ALSA Yes)
if(VOLUME_PLUGIN)
    if (VOLUME_USE_PULSEAUDIO)
        find_package(PulseAudio)
        if (NOT PULSEAUDIO_FOUND)
            message(FATAL_ERROR "PulseAudio not found, but required (VOLUME_USE_PULSEAUDIO) for Volume plugin!")
        endif ()
    endif(VOLUME_USE_PULSEAUDIO)

    if(VOLUME_USE_ALSA)
        find_package(ALSA)
        if (NOT ALSA_FOUND)
            message(FATAL_ERROR "ALSA not found, but required (VOLUME_USE_ALSA) for Volume plugin!")
        endif ()
    endif()

    list(APPEND ENABLED_PLUGINS   "Volume")
    message(STATUS "")
    message(STATUS "Volume plugin will be built")
    message(STATUS "    ALSA: ${ALSA_FOUND}")
    message(STATUS "    PulseAudio: ${PULSEAUDIO_FOUND}")
    message(STATUS "")
    add_subdirectory(plugin-volume)
endif()

setByDefault(WORLDCLOCK_PLUGIN Yes)
if(WORLDCLOCK_PLUGIN)
    list(APPEND STATIC_PLUGINS "worldclock")
    add_definitions(-DWITH_WORLDCLOCK_PLUGIN)
    list(APPEND ENABLED_PLUGINS "World Clock")
    add_subdirectory(plugin-worldclock)
endif(WORLDCLOCK_PLUGIN)

setByDefault(SPACER_PLUGIN Yes)
if(SPACER_PLUGIN)
    list(APPEND STATIC_PLUGINS "spacer")
    add_definitions(-DWITH_SPACER_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Spacer")
    add_subdirectory(plugin-spacer)
endif()

setByDefault(BACKLIGHT_PLUGIN Yes)
if(BACKLIGHT_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Backlight")
    add_subdirectory(plugin-backlight)
endif()

#########################################################################

message(STATUS  "**************** The following plugins will be built ****************")
foreach (PLUGIN_STR ${ENABLED_PLUGINS})
    message(STATUS "  ${PLUGIN_STR}")
endforeach()
message(STATUS "*********************************************************************")

add_subdirectory(panel)

# merged from lxqt-common
add_subdirectory(autostart)
add_subdirectory(menu)

=== autostart/CMakeLists.txt ===
file(GLOB DESKTOP_FILES_IN *.desktop.in)

# Translations **********************************
lxqt_translate_desktop(DESKTOP_FILES
    SOURCES
        ${DESKTOP_FILES_IN}
)
add_custom_target(lxqt_panel_autostart_desktop_files ALL DEPENDS ${DESKTOP_FILES})
#************************************************

install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${LXQT_ETC_XDG_DIR}/autostart"
    COMPONENT Runtime
)

=== panel/CMakeLists.txt ===
set(PROJECT lxqt-panel)

set(PRIV_HEADERS
    panelpluginsmodel.h
    windownotifier.h
    lxqtpanel.h
    lxqtpanelapplication.h
    lxqtpanelapplication_p.h
    lxqtpanellayout.h
    plugin.h
    pluginsettings_p.h
    lxqtpanellimits.h
    popupmenu.h
    pluginmoveprocessor.h
    lxqtpanelpluginconfigdialog.h
    config/configpaneldialog.h
    config/configpanelwidget.h
    config/configpluginswidget.h
    config/addplugindialog.h
)

# using LXQt namespace in the public headers.
set(PUB_HEADERS
    lxqtpanelglobals.h
    pluginsettings.h
    ilxqtpanelplugin.h
    ilxqtpanel.h
)

set(SOURCES
    main.cpp
    panelpluginsmodel.cpp
    windownotifier.cpp
    lxqtpanel.cpp
    lxqtpanelapplication.cpp
    lxqtpanellayout.cpp
    plugin.cpp
    pluginsettings.cpp
    popupmenu.cpp
    pluginmoveprocessor.cpp
    lxqtpanelpluginconfigdialog.cpp
    config/configpaneldialog.cpp
    config/configpanelwidget.cpp
    config/configpluginswidget.cpp
    config/addplugindialog.cpp
)

set(UI
    config/configpanelwidget.ui
    config/configpluginswidget.ui
    config/addplugindialog.ui
)

set(LIBRARIES
    lxqt
)

file(GLOB CONFIG_FILES resources/*.conf)

############################################

add_definitions(-DCOMPILE_LXQT_PANEL)

set(PLUGIN_DESKTOPS_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/lxqt/${PROJECT}")
add_definitions(-DPLUGIN_DESKTOPS_DIR=\"${PLUGIN_DESKTOPS_DIR}\")

if (WITH_SCREENSAVER_FALLBACK)
    message(STATUS "Building with conversion of deprecated 'screensaver' plugin")
    add_definitions(-DWITH_SCREENSAVER_FALLBACK "-DLXQT_LOCK_DESKTOP=\"${CMAKE_INSTALL_FULL_DATAROOTDIR}/applications/lxqt-lockscreen.desktop\"")
endif ()

project(${PROJECT})

set(QTX_LIBRARIES Qt5::Widgets Qt5::Xml Qt5::DBus)

# Translations
lxqt_translate_ts(QM_FILES SOURCES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${PUB_HEADERS}
        ${PRIV_HEADERS}
        ${SOURCES}
        ${UI}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(SOURCES ${PROJECT_NAME})

add_executable(${PROJECT}
    ${PUB_HEADERS}
    ${PRIV_HEADERS}
    ${QM_FILES}
    ${SOURCES}
    ${UI}
)

target_link_libraries(${PROJECT}
    ${LIBRARIES}
    ${QTX_LIBRARIES}
    KF5::WindowSystem
    ${STATIC_PLUGINS}
)

install(TARGETS ${PROJECT} RUNTIME DESTINATION bin)
install(FILES ${CONFIG_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/lxqt)
install(FILES ${PUB_HEADERS} DESTINATION include/lxqt)
install(FILES
    man/lxqt-panel.1
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
    COMPONENT Runtime
)

=== plugin-mount/CMakeLists.txt ===
set(PLUGIN "mount")

set(HEADERS
    lxqtmountplugin.h
    configuration.h
    button.h
    menudiskitem.h
    popup.h
    actions/deviceaction.h
    actions/deviceaction_info.h
    actions/deviceaction_menu.h
    actions/deviceaction_nothing.h
    actions/ejectaction.h
    actions/ejectaction_optical.h
    actions/ejectaction_nothing.h
)

set(SOURCES
    lxqtmountplugin.cpp
    configuration.cpp
    button.cpp
    menudiskitem.cpp
    popup.cpp
    actions/deviceaction.cpp
    actions/deviceaction_info.cpp
    actions/deviceaction_menu.cpp
    actions/deviceaction_nothing.cpp
    actions/ejectaction.cpp
    actions/ejectaction_optical.cpp
    actions/ejectaction_nothing.cpp
)

set(UIS
    configuration.ui
)

find_package(KF5Solid ${QT_MINIMUM_VERSION} REQUIRED)
set(LIBRARIES Qt5Xdg lxqt-globalkeys KF5::Solid)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== plugin-statusnotifier/CMakeLists.txt ===
set(PLUGIN "statusnotifier")


find_package(dbusmenu-qt5 REQUIRED)
find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Concurrent)

set(HEADERS
    statusnotifier.h
    statusnotifierconfiguration.h
    dbustypes.h
    statusnotifierbutton.h
    statusnotifieriteminterface.h
    statusnotifierwatcher.h
    statusnotifierwidget.h
    sniasync.h
)

set(SOURCES
    statusnotifier.cpp
    statusnotifierconfiguration.cpp
    dbustypes.cpp
    statusnotifierbutton.cpp
    statusnotifieriteminterface.cpp
    statusnotifierwatcher.cpp
    statusnotifierwidget.cpp
    sniasync.cpp
)

set(UIS
    statusnotifierconfiguration.ui
)

qt5_add_dbus_adaptor(DBUS_SOURCES
    org.kde.StatusNotifierItem.xml
    statusnotifieriteminterface.h
    StatusNotifierItemInterface
)

set_source_files_properties(${DBUS_SOURCES} PROPERTIES SKIP_AUTOGEN ON)

list(APPEND SOURCES "${DBUS_SOURCES}")

set(LIBRARIES
    dbusmenu-qt5
    Qt5::Concurrent
)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== plugin-tray/CMakeLists.txt ===
set(PLUGIN "tray")

include(CheckLibraryExists)

find_package(XCB REQUIRED COMPONENTS xcb xcb-util xcb-damage)
find_package(PkgConfig)

find_package(X11 REQUIRED)
pkg_check_modules(XCOMPOSITE REQUIRED xcomposite)
pkg_check_modules(XDAMAGE REQUIRED xdamage)
pkg_check_modules(XRENDER REQUIRED xrender)

set(HEADERS
    lxqttrayconfiguration.h
    lxqttrayplugin.h
    lxqttray.h
    trayicon.h
    xfitman.h
)

set(SOURCES
    lxqttrayconfiguration.cpp
    lxqttrayplugin.cpp
    lxqttray.cpp
    trayicon.cpp
    xfitman.cpp
)

set(UIS
    lxqttrayconfiguration.ui
)

set(LIBRARIES
    ${X11_LIBRARIES}
    ${XCOMPOSITE_LDFLAGS}
    ${XDAMAGE_LIBRARIES}
    ${XRENDER_LIBRARIES}
    ${XCB_LIBRARIES}
)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== debian/changelog ===
lxqt-panel (0.16.1-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Switched to gbp
  * Bumped Standards-Version to 4.4.0, no changes needed
  * improved debian/rules

  [ Andrew Lee (李健秋) ]
  * New upstream release. (Closes: #916105, #953154, #978204)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 06 Jan 2021 18:30:22 +0800

=== debian/control ===
Source: lxqt-panel
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libasound2-dev,
               libdbusmenu-qt5-dev,
               libicu-dev,
               libkf5windowsystem-dev,
               libkf5solid-dev,
               liblxqt0-dev (>= 0.14.1~),
               liblxqt-globalkeys0-dev (>= 0.16.0~),
               liblxqt-globalkeys-ui0-dev (>= 0.16.0~),
               libpulse-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libsensors-dev [!hurd-any],
               libstatgrab-dev [linux-any],
               libsysstat-qt5-0-dev (>= 0.4.4~),
               libx11-dev,
               libxcomposite-dev,
               libxcb-util0-dev,
               libxcb-xkb-dev,
               libxcb-damage0-dev,
               libxdamage-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-panel
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-panel.git
Homepage: https://github.com/lxqt/lxqt-panel

Package: lxqt-panel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lxmenu-data,
         lxqt-policykit
Recommends: lxqt-about,
            lxqt-config,
            lxqt-notificationd,
            lxqt-panel-l10n,
            lxqt-qtplugin,
            lxqt-runner,
            lxqt-session,
            pavucontrol-qt | pavucontrol,
            qlipper
Suggests: lxqt | lxqt-core
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: LXQt desktop panel
 The LXQt desktop panel
 .
 This package contain the LXQt panel.

Package: lxqt-panel-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: lxqt-panel (<< 0.11.0)
Replaces: lxqt-panel (<< 0.11.0)
Description: Language package for lxqt-panel
 This package contains the l10n files needed by the lxqt-panel.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
    CONF_FLAGS := -DCPULOAD_PLUGIN=NO -DNETWORKMONITOR_PLUGIN=NO -DVOLUME_PLUGIN=NO
endif

ifeq ($(DEB_HOST_ARCH_OS), hurd)
    CONF_FLAGS := -DCPULOAD_PLUGIN=NO -DNETWORKMONITOR_PLUGIN=NO -DVOLUME_PLUGIN=NO -DSENSORS_PLUGIN=NO
endif


%:
	dh ${@} --buildsystem cmake

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=OFF \
		-DDOM_PLUGIN=YES \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		$(CONF_FLAGS)

## lxqt-panel 0.17.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -31,8 +31,8 @@
 
 set(REQUIRED_QT_VERSION "5.12")
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_GLOBALKEYS_MINIMUM_VERSION "0.16.0")
-set(LXQT_MINIMUM_VERSION "0.16.0")
+set(LXQT_GLOBALKEYS_MINIMUM_VERSION "0.17.0")
+set(LXQT_MINIMUM_VERSION "0.17.0")
 
 find_package(Qt5DBus ${REQUIRED_QT_VERSION} REQUIRED)
 find_package(Qt5LinguistTools ${REQUIRED_QT_VERSION} REQUIRED)

=== autostart/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 lxqt_translate_desktop(DESKTOP_FILES
     SOURCES
         ${DESKTOP_FILES_IN}
+    USE_YAML
 )
 add_custom_target(lxqt_panel_autostart_desktop_files ALL DEPENDS ${DESKTOP_FILES})
 #************************************************

=== menu/CMakeLists.txt ===
file(GLOB DIRECTORY_FILES_IN desktop-directories/*.directory.in)

# Translations **********************************
lxqt_translate_desktop(DIRECTORY_FILES
    SOURCES
        ${DIRECTORY_FILES_IN}
    USE_YAML
)
add_custom_target(desktop_directories_files ALL DEPENDS ${DIRECTORY_FILES})
#************************************************

install(FILES
    ${DIRECTORY_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/desktop-directories"
    COMPONENT Runtime
)

install(FILES
    lxqt-applications.menu
    DESTINATION "${LXQT_ETC_XDG_DIR}/menus"
    COMPONENT Runtime
)

=== plugin-quicklaunch/CMakeLists.txt ===
set(PLUGIN "quicklaunch")

set(HEADERS
    lxqtquicklaunchplugin.h
    lxqtquicklaunch.h
    quicklaunchbutton.h
    quicklaunchaction.h
)

set(SOURCES
    lxqtquicklaunchplugin.cpp
    lxqtquicklaunch.cpp
    quicklaunchbutton.cpp
    quicklaunchaction.cpp
)

set(LIBRARIES
    Qt5Xdg
)

include_directories(
    ${LXQT_INCLUDE_DIRS}
    "${CMAKE_CURRENT_SOURCE_DIR}/../panel"
)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== plugin-showdesktop/CMakeLists.txt ===
set(PLUGIN "showdesktop")

set(HEADERS
    showdesktop.h
)

set(SOURCES
    showdesktop.cpp
)

set(LIBRARIES
    ${LIBRARIES}
    lxqt-globalkeys
    Qt5Xdg
)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== plugin-taskbar/CMakeLists.txt ===
set(PLUGIN "taskbar")

set(HEADERS
    lxqttaskbar.h
    lxqttaskbutton.h
    lxqttaskbarconfiguration.h
    lxqttaskbarplugin.h
    lxqttaskgroup.h
    lxqtgrouppopup.h
)

set(SOURCES
    lxqttaskbar.cpp
    lxqttaskbutton.cpp
    lxqttaskbarconfiguration.cpp
    lxqttaskbarplugin.cpp
    lxqttaskgroup.cpp
    lxqtgrouppopup.cpp
)

set(UIS
    lxqttaskbarconfiguration.ui
)

set(LIBRARIES
    lxqt
    lxqt-globalkeys
    Qt5Xdg
)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== debian/changelog ===
lxqt-panel (0.17.1-0ubuntu1) impish; urgency=medium

  * New upstream release 0.17.1
  * Update debian/control
    - Bump Standards-Version to 4.5.1
    - Use liblxqt0-dev 0.17.0
    - Use liblxqt-globalkeys0-dev 0.17.0
    - Use liblxqt-globalkeys-ui0-dev 0.17.0
    - Use libsysstat-qt5-0-dev 0.4.5
    - Extend lxqt-panel-l10n package description
  * Run wrap-and-sort
    - Remove duplicate Build-Depends libkf5solid-dev
  * Update debian/copyright

 -- apt-ghetto <apt-ghetto@protonmail.com>  Sat, 14 Aug 2021 15:49:34 +0200

lxqt-panel (0.16.1-1ubuntu1) hirsute; urgency=medium

  * New upstream version. Merge from debian unstable.
  * Tighten debhelper-compat requirement.
  * Updated dependencies.
  * Updated debian/rules.

 -- Raman Sarda <theloudspeaker@disroot.org>  Mon, 22 Feb 2021 02:37:32 +0530

=== debian/control ===
Source: lxqt-panel
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libasound2-dev,
               libdbusmenu-qt5-dev,
               libglib2.0-dev,
               libicu-dev,
               libkf5solid-dev,
               libkf5windowsystem-dev,
               liblxqt-globalkeys-ui0-dev (>= 0.17.0),
               liblxqt-globalkeys0-dev (>= 0.17.0),
               liblxqt0-dev (>= 0.17.0),
               libpulse-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libsensors4-dev [!hurd-any],
               libstatgrab-dev [linux-any],
               libsysstat-qt5-0-dev (>= 0.4.5),
               libx11-dev,
               libxcb-damage0-dev,
               libxcb-util0-dev,
               libxcb-xkb-dev,
               libxcomposite-dev,
               libxdamage-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev
Standards-Version: 4.5.1
Vcs-Browser: https://phab.lubuntu.me/source/lxqt-panel/
Vcs-Git: https://phab.lubuntu.me/source/lxqt-panel.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-panel
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-panel.git
Homepage: https://github.com/lxqt/lxqt-panel

Package: lxqt-panel
Architecture: any
Depends: lxmenu-data, lxqt-policykit, ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-about,
            lxqt-config,
            lxqt-notificationd,
            lxqt-panel-l10n,
            lxqt-qtplugin,
            lxqt-runner,
            lxqt-session,
            pavucontrol-qt | pavucontrol,
            qlipper
Suggests: lxqt | lxqt-core
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: LXQt desktop panel
 The LXQt desktop panel
 .
 This package contains the LXQt panel.

Package: lxqt-panel-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Breaks: lxqt-panel (<< 0.11.0)
Replaces: lxqt-panel (<< 0.11.0)
Description: Language package for lxqt-panel
 The l10n files for lxqt-panel.
 .
 This package contains the l10n files needed by lxqt-panel.

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,8 @@
 	dh_missing --fail-missing
 
 override_dh_auto_configure:
-	dh_auto_configure -- \
+	dh_auto_configure --\
+		-DPULL_TRANSLATIONS=OFF \
 		-DUPDATE_TRANSLATIONS=OFF \
 		-DDOM_PLUGIN=YES \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo \

## lxqt-panel 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,10 +29,10 @@
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_AUTORCC ON)
 
-set(REQUIRED_QT_VERSION "5.12")
+set(REQUIRED_QT_VERSION "5.15.0")
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_GLOBALKEYS_MINIMUM_VERSION "0.17.0")
-set(LXQT_MINIMUM_VERSION "0.17.0")
+set(LXQT_GLOBALKEYS_MINIMUM_VERSION "1.1.0")
+set(LXQT_MINIMUM_VERSION "1.1.0")
 
 find_package(Qt5DBus ${REQUIRED_QT_VERSION} REQUIRED)
 find_package(Qt5LinguistTools ${REQUIRED_QT_VERSION} REQUIRED)
@@ -44,7 +44,7 @@
 find_package(lxqt-globalkeys-ui ${LXQT_GLOBALKEYS_MINIMUM_VERSION} REQUIRED)
 
 # Patch Version
-set(LXQT_PANEL_PATCH_VERSION 1)
+set(LXQT_PANEL_PATCH_VERSION 0)
 set(LXQT_PANEL_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_PANEL_PATCH_VERSION})
 add_definitions("-DLXQT_PANEL_VERSION=\"${LXQT_PANEL_VERSION}\"")
 
@@ -95,6 +95,12 @@
     endif()
     list(APPEND ENABLED_PLUGINS "Cpu Load")
     add_subdirectory(plugin-cpuload)
+endif()
+
+setByDefault(CUSTOMCOMMAND_PLUGIN Yes)
+if(CUSTOMCOMMAND_PLUGIN)
+    list(APPEND ENABLED_PLUGINS "Custom Command")
+    add_subdirectory(plugin-customcommand)
 endif()
 
 setByDefault(DIRECTORYMENU_PLUGIN Yes)

=== debian/changelog ===
lxqt-panel (1.1.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 02 Sep 2022 14:39:08 -0700

lxqt-panel (1.1.0-1) experimental; urgency=medium

  * Add debian/salsa-ci.yml file.
  * Update debian/upstream/signing-key.asc.
  * New upstream version 1.0.0
  * New upstream version 1.1.0
  * Build-deps on liblxqt1-dev (>= 1.1.0~).
  * Build-deps on liblxqt-globalkeys1-dev (>= 1.1.0~).
  * Build-deps on liblxqt-globalkeys-ui1-dev (>= 1.1.0~).
  * Build-deps on libsysstat-qt5-0-dev (>= 0.4.6~).
  * Drop obsoleted Breaks and Replaces lines.
  * debian/copyright: update years.
  * Build-deps on libxcb-randr0-dev.
  * Build-deps on libxcb-image0-dev.
  * Build-deps on libxtst-dev.
  * Build-deps on libxcb-composite0-dev.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 16 Jul 2022 00:26:18 +0800

=== debian/control ===
Source: lxqt-panel
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libasound2-dev,
               libdbusmenu-qt5-dev,
               libicu-dev,
               libkf5solid-dev,
               libkf5windowsystem-dev,
               liblxqt-globalkeys-ui1-dev (>= 1.1.0~),
               liblxqt-globalkeys1-dev (>= 1.1.0~),
               liblxqt1-dev (>= 1.1.0~),
               libpulse-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libsensors-dev [!hurd-any],
               libstatgrab-dev [linux-any],
               libsysstat-qt5-0-dev (>= 0.4.6~),
               libx11-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-randr0-dev,
               libxcb-util0-dev,
               libxcb-xkb-dev,
               libxcomposite-dev,
               libxdamage-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev,
               libxtst-dev
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-panel
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-panel.git
Homepage: https://github.com/lxqt/lxqt-panel

Package: lxqt-panel
Architecture: any
Depends: lxmenu-data, lxqt-policykit, ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-about,
            lxqt-config,
            lxqt-notificationd,
            lxqt-panel-l10n,
            lxqt-qtplugin,
            lxqt-runner,
            lxqt-session,
            pavucontrol-qt | pavucontrol,
            qlipper
Suggests: lxqt | lxqt-core
Description: LXQt desktop panel
 The LXQt desktop panel
 .
 This package contain the LXQt panel.

Package: lxqt-panel-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Description: Language package for lxqt-panel
 This package contains the l10n files needed by the lxqt-panel.

=== debian/rules ===
--- 
+++ 
@@ -23,9 +23,12 @@
 	dh_missing --fail-missing
 
 override_dh_auto_configure:
-	dh_auto_configure --\
-		-DPULL_TRANSLATIONS=OFF \
+	dh_auto_configure -- \
 		-DUPDATE_TRANSLATIONS=OFF \
 		-DDOM_PLUGIN=YES \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
 		$(CONF_FLAGS)
+
+# No dbgsym package:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## lxqt-panel 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -31,8 +31,8 @@
 
 set(REQUIRED_QT_VERSION "5.15.0")
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_GLOBALKEYS_MINIMUM_VERSION "1.1.0")
-set(LXQT_MINIMUM_VERSION "1.1.0")
+set(LXQT_GLOBALKEYS_MINIMUM_VERSION "1.2.0")
+set(LXQT_MINIMUM_VERSION "1.2.0")
 
 find_package(Qt5DBus ${REQUIRED_QT_VERSION} REQUIRED)
 find_package(Qt5LinguistTools ${REQUIRED_QT_VERSION} REQUIRED)
@@ -156,7 +156,7 @@
     find_library(SENSORS_LIB sensors)
 
     if(NOT SENSORS_LIB)
-        message(FATAL_ERROR "Sensors plugin requires lm_sensors")
+        message(FATAL_ERROR "Sensors plugin requires libsensors")
     endif()
     list(APPEND ENABLED_PLUGINS "Sensors")
     add_subdirectory(plugin-sensors)

=== debian/changelog ===
lxqt-panel (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1.
    * Add Rules-Requires-Root: no
  * Bump compat to 13.
    * Remove unnecessary -Wl,--as-needed in d/rules
    * Remove unnecessary --fail-missing in d/rules
  * Fix d/upstream/metadata.
  * Update d/copyright.
  * Update d/watch for GitHub.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 16 Dec 2022 01:24:07 +0800

lxqt-panel (1.1.0-2) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 19 Nov 2022 16:14:37 +0800

=== debian/control ===
Source: lxqt-panel
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libasound2-dev,
               libdbusmenu-qt5-dev,
               libicu-dev,
               libkf5windowsystem-dev,
               libkf5solid-dev,
               liblxqt1-dev (>= 1.2.0~),
               liblxqt-globalkeys1-dev (>= 1.2.0~),
               liblxqt-globalkeys-ui1-dev (>= 1.2.0~),
               libpulse-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libsensors-dev [!hurd-any],
               libstatgrab-dev [linux-any],
               libsysstat-qt5-0-dev (>= 0.4.6~),
               libx11-dev,
               libxcomposite-dev,
               libxcb-composite0-dev,
               libxcb-image0-dev,
               libxcb-util0-dev,
               libxcb-xkb-dev,
               libxcb-damage0-dev,
               libxcb-randr0-dev,
               libxdamage-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev,
               libxtst-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-panel
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-panel.git
Homepage: https://github.com/lxqt/lxqt-panel
Rules-Requires-Root: no

Package: lxqt-panel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lxmenu-data,
         lxqt-policykit
Recommends: lxqt-about,
            lxqt-config,
            lxqt-notificationd,
            lxqt-panel-l10n,
            lxqt-qtplugin,
            lxqt-runner,
            lxqt-session,
            pavucontrol-qt | pavucontrol,
            qlipper
Suggests: lxqt | lxqt-core
Description: LXQt desktop panel
 The LXQt desktop panel
 .
 This package contain the LXQt panel.

Package: lxqt-panel-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Description: Language package for lxqt-panel
 This package contains the l10n files needed by the lxqt-panel.

## lxqt-panel 1.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,7 +44,7 @@
 find_package(lxqt-globalkeys-ui ${LXQT_GLOBALKEYS_MINIMUM_VERSION} REQUIRED)
 
 # Patch Version
-set(LXQT_PANEL_PATCH_VERSION 0)
+set(LXQT_PANEL_PATCH_VERSION 1)
 set(LXQT_PANEL_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_PANEL_PATCH_VERSION})
 add_definitions("-DLXQT_PANEL_VERSION=\"${LXQT_PANEL_VERSION}\"")
 
@@ -169,6 +169,13 @@
     list(APPEND ENABLED_PLUGINS "Show Desktop")
     add_subdirectory(plugin-showdesktop)
 endif()
+
+setByDefault(QEYES_PLUGIN Yes)
+if(QEYES_PLUGIN)
+    list(APPEND ENABLED_PLUGINS "QEyes")
+    add_subdirectory(plugin-qeyes)
+endif()
+
 
 setByDefault(NETWORKMONITOR_PLUGIN Yes)
 if(NETWORKMONITOR_PLUGIN)

=== panel/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,8 @@
     pluginmoveprocessor.h
     lxqtpanelpluginconfigdialog.h
     config/configpaneldialog.h
-    config/configpanelwidget.h
+    config/configplacement.h
+    config/configstyling.h
     config/configpluginswidget.h
     config/addplugindialog.h
 )
@@ -40,13 +41,15 @@
     pluginmoveprocessor.cpp
     lxqtpanelpluginconfigdialog.cpp
     config/configpaneldialog.cpp
-    config/configpanelwidget.cpp
+    config/configplacement.cpp
+    config/configstyling.cpp
     config/configpluginswidget.cpp
     config/addplugindialog.cpp
 )
 
 set(UI
-    config/configpanelwidget.ui
+    config/configplacement.ui
+    config/configstyling.ui
     config/configpluginswidget.ui
     config/addplugindialog.ui
 )

=== plugin-desktopswitch/CMakeLists.txt ===
set(PLUGIN "desktopswitch")

set(HEADERS
    desktopswitch.h
    desktopswitchbutton.h
    desktopswitchconfiguration.h
)

set(SOURCES
    desktopswitch.cpp
    desktopswitchbutton.cpp
    desktopswitchconfiguration.cpp
)

set(UIS
    desktopswitchconfiguration.ui
)


set(LIBRARIES ${LIBRARIES} lxqt lxqt-globalkeys)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== plugin-tray/CMakeLists.txt ===
set(PLUGIN "tray")

include(CheckLibraryExists)

find_package(XCB
    REQUIRED COMPONENTS
        xcb
        xcb-xfixes
        xcb-damage
        xcb-composite
        xcb-randr
        xcb-shm
        xcb-util
        xcb-image
        xcb-shape
)
find_package(PkgConfig)
pkg_check_modules(xtst REQUIRED xtst)

set(HEADERS
    xtestsender.h
    xcbutils.h
    sniproxy.h
    snidbus.h
    fdoselectionmanager.h
    lxqttrayplugin.h
)

set(SOURCES
    xtestsender.cpp
    sniproxy.cpp
    snidbus.cpp
    fdoselectionmanager.cpp
    lxqttrayplugin.cpp
)

qt_add_dbus_adaptor(SOURCES org.kde.StatusNotifierItem.xml sniproxy.h SNIProxy)
qt_add_dbus_interface(SOURCES org.kde.StatusNotifierWatcher.xml statusnotifierwatcher_interface)

set(LIBRARIES
    ${XCB_LIBRARIES}
    ${xtst_LDFLAGS}
)


BUILD_LXQT_PLUGIN(${PLUGIN})

=== debian/changelog ===
lxqt-panel (1.2.1-1ubuntu1) lunar; urgency=medium

  * Merge from Debian Unstable, remaining changes:
    - Lubuntuify the package slightly.
    - Run wrap-and-sort for cleanliness.
    - Update the copyright file.
    - Take a different approach for the watch file.
    - Add missing entry from the install file.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 16 Jan 2023 16:43:29 -0600

lxqt-panel (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 05 Jan 2023 00:10:18 +0800

=== debian/control ===
Source: lxqt-panel
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libasound2-dev,
               libdbusmenu-qt5-dev,
               libglib2.0-dev,
               libicu-dev,
               libkf5solid-dev,
               libkf5windowsystem-dev,
               liblxqt-globalkeys-ui1-dev (>= 1.2.0),
               liblxqt-globalkeys1-dev (>= 1.2.0),
               liblxqt1-dev (>= 1.2.0),
               libpulse-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libsensors4-dev [!hurd-any],
               libstatgrab-dev [linux-any],
               libsysstat-qt5-0-dev (>= 0.4.5),
               libx11-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-randr0-dev,
               libxcb-shm0-dev,
               libxcb-util0-dev,
               libxcb-xkb-dev,
               libxcomposite-dev,
               libxdamage-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev,
               libxtst-dev
Standards-Version: 4.6.2
Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-panel-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-panel-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-panel
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-panel.git
Homepage: https://github.com/lxqt/lxqt-panel
Rules-Requires-Root: no

Package: lxqt-panel
Architecture: any
Depends: lxmenu-data, lxqt-policykit, ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-about,
            lxqt-config,
            lxqt-notificationd,
            lxqt-panel-l10n,
            lxqt-qtplugin,
            lxqt-runner,
            lxqt-session,
            pavucontrol-qt | pavucontrol,
            qlipper
Suggests: lxqt | lxqt-core
Description: LXQt desktop panel
 The LXQt desktop panel
 .
 This package contains the LXQt panel.

Package: lxqt-panel-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Description: Language package for lxqt-panel
 The l10n files for lxqt-panel.
 .
 This package contains the l10n files needed by lxqt-panel.

=== debian/rules ===
--- 
+++ 
@@ -19,16 +19,9 @@
 %:
 	dh ${@} --buildsystem cmake
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-DUPDATE_TRANSLATIONS=OFF \
 		-DDOM_PLUGIN=YES \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
 		$(CONF_FLAGS)
-
-# No dbgsym package:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## lxqt-panel 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 option(WITH_SCREENSAVER_FALLBACK "Include support for converting the deprecated 'screensaver' plugin to 'quicklaunch'. This requires the lxqt-leave (lxqt-session) to be installed in runtime." ON)
 # plugin-mainmenu
-option(USE_MENU_CACHE "Use menu-cached (no noticable penalty even on a 2004 single core pentium if not used)" OFF)
+option(USE_MENU_CACHE "Use menu-cached (no noticeable penalty even on a 2004 single core pentium if not used)" OFF)
 
 
 # additional cmake files
@@ -31,8 +31,8 @@
 
 set(REQUIRED_QT_VERSION "5.15.0")
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_GLOBALKEYS_MINIMUM_VERSION "1.2.0")
-set(LXQT_MINIMUM_VERSION "1.2.0")
+set(LXQT_GLOBALKEYS_MINIMUM_VERSION "1.3.0")
+set(LXQT_MINIMUM_VERSION "1.3.0")
 
 find_package(Qt5DBus ${REQUIRED_QT_VERSION} REQUIRED)
 find_package(Qt5LinguistTools ${REQUIRED_QT_VERSION} REQUIRED)
@@ -44,7 +44,7 @@
 find_package(lxqt-globalkeys-ui ${LXQT_GLOBALKEYS_MINIMUM_VERSION} REQUIRED)
 
 # Patch Version
-set(LXQT_PANEL_PATCH_VERSION 1)
+set(LXQT_PANEL_PATCH_VERSION 0)
 set(LXQT_PANEL_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_PANEL_PATCH_VERSION})
 add_definitions("-DLXQT_PANEL_VERSION=\"${LXQT_PANEL_VERSION}\"")
 
@@ -109,7 +109,7 @@
     add_subdirectory(plugin-directorymenu)
 endif()
 
-setByDefault(DOM_PLUGIN No)
+setByDefault(DOM_PLUGIN Yes)
 if(DOM_PLUGIN)
     list(APPEND ENABLED_PLUGINS "DOM")
     add_subdirectory(plugin-dom)

=== menu/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,8 @@
 
 install(FILES
     lxqt-applications.menu
+    lxqt-applications-compact.menu
+    lxqt-applications-simple.menu
     DESTINATION "${LXQT_ETC_XDG_DIR}/menus"
     COMPONENT Runtime
 )

=== debian/changelog ===
lxqt-panel (1.3.0-0.1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 11 Jul 2023 13:38:10 -0700

lxqt-panel (1.3.0-0.1~S7) unstable; urgency=medium

  * New upstream release.

 -- S.7 <severusseptimius7@gmail.com>  Sun, 21 May 2023 12:47:27 -0400

=== debian/control ===
Source: lxqt-panel
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libasound2-dev,
               libdbusmenu-qt5-dev,
               libicu-dev,
               libkf5solid-dev,
               libkf5windowsystem-dev,
               liblxqt-globalkeys-ui1-dev (>= 1.3.0~),
               liblxqt-globalkeys1-dev (>= 1.3.0~),
               liblxqt1-dev (>= 1.3.0~),
               libpulse-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libsensors-dev [!hurd-any],
               libstatgrab-dev [linux-any],
               libsysstat-qt5-0-dev (>= 0.4.6~),
               libx11-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-randr0-dev,
               libxcb-util0-dev,
               libxcb-xkb-dev,
               libxcomposite-dev,
               libxdamage-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev,
               libxtst-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-panel
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-panel.git
Homepage: https://github.com/lxqt/lxqt-panel
Rules-Requires-Root: no

Package: lxqt-panel
Architecture: any
Depends: lxmenu-data, lxqt-policykit, ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-about,
            lxqt-config,
            lxqt-notificationd,
            lxqt-panel-l10n,
            lxqt-qtplugin,
            lxqt-runner,
            lxqt-session,
            pavucontrol-qt | pavucontrol,
            qlipper
Suggests: lxqt | lxqt-core
Description: LXQt desktop panel
 The LXQt desktop panel
 .
 This package contain the LXQt panel.

Package: lxqt-panel-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Description: Language package for lxqt-panel
 This package contains the l10n files needed by the lxqt-panel.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # export DH_VERBOSE=1
 
 export LC_ALL=C.UTF-8
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 include /usr/share/dpkg/architecture.mk
@@ -25,3 +24,7 @@
 		-DDOM_PLUGIN=YES \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
 		$(CONF_FLAGS)
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
